## python-pymysql 0.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMySQL.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMySQL.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyMySQL"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyMySQL"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pymysql 0.6.2

=== debian/changelog ===
python-pymysql (0.6.2-2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Sep 2015 12:29:03 +0000

python-pymysql (0.6.2-2) unstable; urgency=medium

  * Fixes FTBFS by adding Corey Bryant patch (Closes: #796010).
  * Removed ancient six patch.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Aug 2015 13:54:54 +0000

python-pymysql (0.6.2-1) unstable; urgency=medium

  * Initial release. (Closes: #770889)

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 19:29:19 +0800

=== debian/control ===
Source: python-pymysql
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-six, python-unittest2, python3-six, mysql-server
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pymysql.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pymysql.git
Homepage: https://github.com/PyMySQL/PyMySQL/

Package: python-pymysql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-pymysql-doc
Description: Pure-Python MySQL driver - Python 2.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 2.x module.

Package: python3-pymysql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pymysql-doc
Description: Pure-Python MySQL Driver - Python 3.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 3.x module.

## python-pymysql 0.7.2

=== debian/changelog ===
python-pymysql (0.7.2-1) unstable; urgency=medium

  * New upstream version (Closes: #799776)
  * Fixed VCS URLs (https)
  * Removed patch test-datatypes.patch and test-issue-36.patch
    (Applied upstream)
  * Added Build-Depends-Indep: python3-unittest2
  * Added patch skip_not_working_tests.patch
  * Standards-Version is 3.9.7 now (no change)
  * Reordered d/copyright
  * Added myself to d/copyright
  * Added myself as uploader
  * Added Debian tests
  * Added Build-Depends: dh-python

 -- Ondřej Nový <novy@ondrej.org>  Sun, 06 Mar 2016 01:01:50 +0100

=== debian/control ===
Source: python-pymysql
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <novy@ondrej.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: mysql-server,
                     python-six,
                     python-unittest2,
                     python3-six,
                     python3-unittest2,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pymysql.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-pymysql.git
Homepage: https://github.com/PyMySQL/PyMySQL/

Package: python-pymysql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${python:Depends},
Suggests: python-pymysql-doc,
Description: Pure-Python MySQL driver - Python 2.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 2.x module.

Package: python3-pymysql
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-pymysql-doc,
Description: Pure-Python MySQL Driver - Python 3.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/PyMySQL/PyMySQL.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pymysql; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pymysql; \
	done
	rm -rf $(CURDIR)/debian/python*-pymysql/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x debian/run_tests.sh
	./debian/run_tests.sh
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Depends: python-pymysql
Test-Command: python -c "import pymysql ; print pymysql.VERSION"

Depends: python3-pymysql
Test-Command: python3 -c "import pymysql ; print(pymysql.VERSION)"

=== debian/watch ===
version=3
https://github.com/PyMySQL/PyMySQL/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pymysql 0.7.4

=== debian/changelog ===
python-pymysql (0.7.4-1) unstable; urgency=medium

  * New upstream release
  * Added package python-pymysql-doc with documentation
  * Added remove_useless_sphinx_modules.patch
  * Removed Pre-Depends on dpkg
  * Removed parse_error_fix.patch (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 31 May 2016 22:04:03 +0200

python-pymysql (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added parse_error_fix.patch (Fix syntax error in test_cursor)

 -- Ondřej Nový <novy@ondrej.org>  Sun, 22 May 2016 19:14:58 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-setuptools,
+               python-sphinx,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: mysql-server,
@@ -16,14 +17,13 @@
                      python-unittest2,
                      python3-six,
                      python3-unittest2,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pymysql.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-pymysql.git
 Homepage: https://github.com/PyMySQL/PyMySQL/
 
 Package: python-pymysql
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: ${misc:Depends},
          ${python:Depends},
 Suggests: python-pymysql-doc,
@@ -36,7 +36,6 @@
 
 Package: python3-pymysql
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: ${misc:Depends},
          ${python3:Depends},
 Suggests: python-pymysql-doc,
@@ -46,3 +45,15 @@
  IronPython and Jython.
  .
  This package contains the Python 3.x module.
+
+Package: python-pymysql-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Description: Pure-Python MySQL driver - doc
+ This package contains a pure-Python MySQL client library. The goal of PyMySQL
+ is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
+ IronPython and Jython.
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/PyMySQL/PyMySQL.git
+UPSTREAM_GIT := https://github.com/PyMySQL/PyMySQL.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \
@@ -30,6 +30,12 @@
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
 
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html docs/source $(CURDIR)/debian/python-pymysql-doc/usr/share/doc/python-pymysql-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
+
 # Commands not to run
 override_dh_installcatalogs:
 override_dh_installemacsen override_dh_installifupdown:

## python-pymysql 0.7.6

=== debian/changelog ===
python-pymysql (0.7.6-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Removed python-six{3,} build depends - it's not used.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 06 Sep 2016 20:40:56 +0000

python-pymysql (0.7.6-1) unstable; urgency=medium

  * New upstream release
  * Rebased d/p/skip_not_working_tests.patch
  * Use pkgos-dh_auto_install and require newer openstack-pkg-tools

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 13:00:28 +0200

python-pymysql (0.7.5-1) unstable; urgency=medium

  * New upstream release
  * Removed version from python-all build dependency
  * d/{control,copyright}: Use my @debian.org email address
  * Removed remove_useless_sphinx_modules.patch (Applied upstream)
  * Added remove_intersphinx.patch

 -- Ondřej Nový <onovy@debian.org>  Wed, 29 Jun 2016 23:04:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               openstack-pkg-tools (>= 51~),
+               python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: mysql-server,
-                     python-six,
                      python-unittest2,
-                     python3-six,
                      python3-unittest2,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pymysql.git/

## python-pymysql 0.7.9

=== debian/changelog ===
python-pymysql (0.7.9-2~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Feb 2017 15:08:17 +0000

python-pymysql (0.7.9-2) unstable; urgency=medium

  * Using correct options for mysql_install_db (Closes: #841593).
  * Build-depends on default-mysql-server.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Oct 2016 09:22:37 +0100

python-pymysql (0.7.9-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Sep 2016 19:53:35 +0200

python-pymysql (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Removed python-six{3,} build depends - it's not used.

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Sep 2016 11:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                      python-unittest2,
                      python3-unittest2,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pymysql.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-pymysql.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pymysql?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pymysql -b debian/newton
 Homepage: https://github.com/PyMySQL/PyMySQL/
 
 Package: python-pymysql

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/PyMySQL/PyMySQL.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
@@ -10,15 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-pymysql; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-pymysql; \
-	done
-	rm -rf $(CURDIR)/debian/python*-pymysql/usr/lib/python*/dist-packages/*.pth
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Depends: python-pymysql
Test-Command: cd "$ADTTMP" ; python -c "import pymysql ; print pymysql.VERSION"

Depends: python3-pymysql
Test-Command: cd "$ADTTMP" ; python3 -c "import pymysql ; print(pymysql.VERSION)"

## python-pymysql 0.7.10

=== debian/changelog ===
python-pymysql (0.7.10-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 12:55:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 51~),
                python-all,
@@ -12,7 +12,7 @@
                python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: mysql-server,
+Build-Depends-Indep: default-mysql-server | mysql-server,
                      python-unittest2,
                      python3-unittest2,
 Standards-Version: 3.9.8

## python-pymysql 0.7.11

=== debian/changelog ===
python-pymysql (0.7.11-1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Aug 2017 21:25:57 +0000

python-pymysql (0.7.11-1) unstable; urgency=medium

  * New upstream release
  * Rebased patches

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 15:12:22 +0200

python-pymysql (0.7.10-2) unstable; urgency=medium

  * Maintainer: DPMT team
  * Remove openstack-pkg-tools from B-D, not needed anymore
  * Standards-Version is 4.0.0 now
  * d/copyright:
    - Bump my copyright year
    - Use https for format URL
  * d/s/options: Remove extend-diff-ignore of .gitreview
  * Vcs-* move to DPMT
  * Use pybuild
  * Use autopkgtest-pkg-python testsuite
  * Don't OR mysql-server in B-D
  * d/watch: Allow tags beginning with "v"

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 00:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: python-pymysql
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools (>= 51~),
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: default-mysql-server | mysql-server,
+Build-Depends-Indep: mysql-server,
                      python-unittest2,
                      python3-unittest2,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pymysql?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-pymysql -b debian/newton
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pymysql.git/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pymysql.git
 Homepage: https://github.com/PyMySQL/PyMySQL/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pymysql
 Architecture: all

## python-pymysql 0.8.0

=== debian/changelog ===
python-pymysql (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * Enable MULTI_STATEMENTS for tests
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Use Python 3 version of Sphinx for building docs

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 13:31:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
-               python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: mysql-server,
+               python3-sphinx,
+Build-Depends-Indep: default-mysql-server,
                      python-unittest2,
                      python3-unittest2,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pymysql.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pymysql.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pymysql
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pymysql.git
 Homepage: https://github.com/PyMySQL/PyMySQL/
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pymysql

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source $(CURDIR)/debian/python-pymysql-doc/usr/share/doc/python-pymysql-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="debian/run_tests.sh {interpreter}" dh_auto_test

=== debian/watch ===
version=3
https://github.com/PyMySQL/PyMySQL/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-pymysql 0.9.2

=== debian/changelog ===
python-pymysql (0.9.2-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 10:34:35 +0200

python-pymysql (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * Convert git repository from git-dpm to gbp layout
  * Add python{,3}-cryptography into B-D
  * Bump standards version to 4.2.0 (no changes)
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 12:43:21 +0200

python-pymysql (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Add filenamemangle
  * Add upstream metadata
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Mon, 14 May 2018 12:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
+               python-cryptography,
                python-setuptools,
                python3-all,
+               python3-cryptography,
                python3-setuptools,
                python3-sphinx,
 Build-Depends-Indep: default-mysql-server,
                      python-unittest2,
                      python3-unittest2,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pymysql
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pymysql.git
 Homepage: https://github.com/PyMySQL/PyMySQL/

## python-pymysql 0.9.3

=== requirements.txt ===
cryptography

=== debian/changelog ===
python-pymysql (0.9.3-2ubuntu3) focal; urgency=medium

  * d/run_tests.sh: Deal with the fact that mysql_install_db has been
    removed in MySQL 8.0 by falling back to mysqld to create the database
    for testing.
  * d/p/0003-mysql8-compat.patch: Fix test cases which use integer display
    formatting for compatibility with MySQL >= 8.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2020 09:38:25 +0000

python-pymysql (0.9.3-2ubuntu2) focal; urgency=medium

  * Revert the last change, no changes left in the package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 19:24:34 +0100

python-pymysql (0.9.3-2ubuntu1) focal; urgency=medium

  * Ignore tests for a first upload using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jan 2020 09:12:46 +0100

python-pymysql (0.9.3-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:18 +0000

python-pymysql (0.9.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 05 Sep 2019 11:07:35 +0500

python-pymysql (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add python{,3}-pytest into B-D
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Move python-cryptography from Depends to Recommends

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 15:23:00 +0100

=== debian/control ===
Source: python-pymysql
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-cryptography,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: default-mysql-server,
                     python3-unittest2,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pymysql
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pymysql.git
Homepage: https://github.com/PyMySQL/PyMySQL/
Testsuite: autopkgtest-pkg-python

Package: python3-pymysql
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-cryptography,
Suggests: python-pymysql-doc,
Description: Pure-Python MySQL Driver - Python 3.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 3.x module.

Package: python-pymysql-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Pure-Python MySQL driver - doc
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pymysql

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python-pymysql-doc/usr/share/doc/python-pymysql-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="debian/run_tests.sh {interpreter}" dh_auto_test

## python-pymysql 1.0.2

=== debian/changelog ===
python-pymysql (1.0.2-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - d/run_tests.sh: Deal with the fact that mysql_install_db has been
      removed in MySQL 8.0 by falling back to mysqld to create the database
      for testing.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 09:26:46 -0400

python-pymysql (1.0.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pymysql-doc: Add Multi-Arch: foreign.

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bastk.
  * Add a debian/gbp.conf.
  * New upstream release.
  * Rebase patches.
  * Fixed running tests.
  * Correctly exits when unit test failures.
  * Add removed-broken-tests.patch.
  * Move back the package to the OpenStack team, and removed Ondrej from
    uploaders.
  * Re-include openstack-pkg-tools pkgos.make to do Git management.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 16:16:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+UPSTREAM_GIT := https://github.com/PyMySQL/PyMySQL.git
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=pymysql

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/PyMySQL-$1\.tar\.gz/ \
  https://github.com/PyMySQL/PyMySQL/tags .*/v?(\d\S+)\.tar\.gz

## python-pymysql 1.1.0

=== debian/changelog ===
python-pymysql (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build-depends on pybuild-plugin-pyproject.
  * Rebased removed-broken-tests.patch.
  * Removed build-depends on python3-unittest2 (Closes: #1060637).
  * Blacklist test_load_warnings() that doesn't work with Debian default
    mariadb config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:57:43 +0100

=== debian/control ===
Source: python-pymysql
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cryptography,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 default-mysql-server,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pymysql
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pymysql.git
Homepage: https://github.com/PyMySQL/PyMySQL/
Testsuite: autopkgtest-pkg-python

Package: python3-pymysql
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-cryptography,
Suggests:
 python-pymysql-doc,
Description: Pure-Python MySQL Driver - Python 3.x
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the Python 3.x module.

Package: python-pymysql-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Pure-Python MySQL driver - doc
 This package contains a pure-Python MySQL client library. The goal of PyMySQL
 is to be a drop-in replacement for MySQLdb and work on CPython, PyPy,
 IronPython and Jython.
 .
 This package contains the documentation.

## python-pymysql 1.1.1

=== docs/Makefile ===
--- 
+++ 
@@ -73,30 +73,6 @@
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMySQL.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMySQL.qhc"
-
-devhelp:
-	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
-	@echo
-	@echo "Build finished."
-	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyMySQL"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyMySQL"
-	@echo "# devhelp"
 
 epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub

=== docs/requirements.txt ===
sphinx~=7.2
sphinx-rtd-theme~=2.0.0

=== debian/changelog ===
python-pymysql (1.1.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/run_tests.sh: Deal with the fact that mysql_install_db has been
      removed in MySQL 8.0 by falling back to mysqld to create the database
      for testing.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 18:38:17 -0600

python-pymysql (1.1.1-2) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:38:50 +0100

python-pymysql (1.1.1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/run_tests.sh: Deal with the fact that mysql_install_db has been
      removed in MySQL 8.0 by falling back to mysqld to create the database
      for testing.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 May 2024 07:55:56 -0400

python-pymysql (1.1.1-1) unstable; urgency=high

  * New upstream release:
    - Fixes CVE-2024-36039 (SQL injection if used with untrusted JSON input
      because keys are not escaped by escape_dict) (Closes: #1071628).
  * Removed 0002-remove_intersphinx.patch now useless.
  * Rebased removed-broken-tests.patch.
  * Added python3-sphinx-rtd-theme as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 May 2024 08:18:40 +0200

python-pymysql (1.0.2-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/run_tests.sh: Deal with the fact that mysql_install_db has been
      removed in MySQL 8.0 by falling back to mysqld to create the database
      for testing.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2024 13:13:15 +0000

python-pymysql (1.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 22:09:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pymysql
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -16,6 +17,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  default-mysql-server,
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pymysql
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pymysql.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python-pymysql-doc/usr/share/doc/python-pymysql-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_auto_test:

## python-pymysql 1.1.2

=== debian/changelog ===
python-pymysql (1.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 26 Feb 2026 12:12:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-pymysql
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
